Bug 488718 - (encrypted_LVM) Support for encrypted LVs in LVM2 & key management (tracker)
Support for encrypted LVs in LVM2 & key management (tracker)
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2 (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Milan Broz
Corey Marthaler
: Tracking
Depends On: 457541 458392 464089 488722
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 08:32 EST by Milan Broz
Modified: 2013-02-28 23:07 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-03 12:21:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2009-03-05 08:32:37 EST
Tracking bug for RFE and all dependant bugs & FREs covering encrypted volume support in LVM2 and key management interface.

>  a) add support of crypto segment into libdevmapper
>
>  b) add support for lvm metadata (keystore, crypt segments)
> 
>  c) define key management interface + lvm internals
> 
>  d) write cyptsetup/LUKS backward compatible key management plugin
> 
>  e) provide low level key management tool (using key management plugins above)
> 
>  f) provide support for encrypted LVs in basic lvm tools
> 
>  g) support more complicated operations (pvmove, online reencryption)

See also patches https://www.redhat.com/archives/lvm-devel/2009-January/msg00082.html
Comment 1 RHEL Product and Program Management 2009-06-15 16:59:37 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Milan Broz 2012-04-03 12:21:37 EDT
I am closing this and will perhaps create a new tracker for volume encryption related bugs.

Integration with lvm2 will cause more problems than it solves, it would be better to have separate encryption layer and some mechanism how to manipulate better with device stack.

(From the kernel/performance point of view it is exactly the same - stacked device-mapper devices.)

Note You need to log in before you can comment on or make changes to this bug.